<?
  include ('../functions.php');
  // repairbeschreibungen();
  // getbestellungen();
  repairdatumerwerb();
  exit;

  function repairdatumerwerb() {
      $query = "SELECT * from kontobewegungen
          WHERE datumerwerb < '2000-01-01'";
      $result = mysql_query($query) or error("Cannot select: $query - " . mysql_error());
      print "Results: " . mysql_num_rows($result) . "\n";
      $i=0;
      while ($row = mysql_fetch_array($result,MYSQL_ASSOC)) {
          $pkey = $row['pkey'];
          $datum = date('Y-m-d',$row['datum']);
          $datumerwerb = $row['datumerwerb'];
          $beschreibung = $row['beschreibung'];
          print "Datum: $datum, Erwerb: $datumerwerb, Beschreibung: $beschreibung\n";
          $sql = "UPDATE kontobewegungen SET datumerwerb = '$datum'
              WHERE pkey = $pkey";
          print $sql ."\n";
mysql_query($sql);
      }
  }
